Skip to content

Finish a WebAuthn login ceremony

POST
/api/v1/login/mfa/webauthn/finish
curl --request POST \
--url https://osctrl.net/api/v1/login/mfa/webauthn/finish \
--header 'Content-Type: application/json' \
--data '{}'

Validates a WebAuthn assertion and returns a JWT token.

Request body

Media typeapplication/json
object
Examplegenerated
{}

OK

Media typeapplication/json
object
csrf_token
string
token
string
Examplegenerated
{
"csrf_token": "example",
"token": "example"
}

Forbidden

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Not found

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Internal server error

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}